## Called by 'graves/loop_1s'
## Store this player's inventory and xp, clear it, then transfer it into a new grave
# Stores player inventory and xp
data modify storage m_graves:grave_storage Items set from entity @s Inventory
data remove storage m_graves:grave_storage Items[{tag:{Enchantments:[{id:"minecraft:vanishing_curse"}]}}]
xp add @s -1
execute store result storage m_graves:grave_storage Xp int 7 run data get entity @s XpLevel

# Clear items and xp without deleting item on player's cursor (which will instead be dropped)
xp set @s 0
xp set @s 0 levels
item replace entity @s hotbar.0 with minecraft:air
item replace entity @s hotbar.1 with minecraft:air
item replace entity @s hotbar.2 with minecraft:air
item replace entity @s hotbar.3 with minecraft:air
item replace entity @s hotbar.4 with minecraft:air
item replace entity @s hotbar.5 with minecraft:air
item replace entity @s hotbar.6 with minecraft:air
item replace entity @s hotbar.7 with minecraft:air
item replace entity @s hotbar.8 with minecraft:air
item replace entity @s inventory.0 with minecraft:air
item replace entity @s inventory.1 with minecraft:air
item replace entity @s inventory.2 with minecraft:air
item replace entity @s inventory.3 with minecraft:air
item replace entity @s inventory.4 with minecraft:air
item replace entity @s inventory.5 with minecraft:air
item replace entity @s inventory.6 with minecraft:air
item replace entity @s inventory.7 with minecraft:air
item replace entity @s inventory.8 with minecraft:air
item replace entity @s inventory.9 with minecraft:air
item replace entity @s inventory.10 with minecraft:air
item replace entity @s inventory.11 with minecraft:air
item replace entity @s inventory.12 with minecraft:air
item replace entity @s inventory.13 with minecraft:air
item replace entity @s inventory.14 with minecraft:air
item replace entity @s inventory.15 with minecraft:air
item replace entity @s inventory.16 with minecraft:air
item replace entity @s inventory.17 with minecraft:air
item replace entity @s inventory.18 with minecraft:air
item replace entity @s inventory.19 with minecraft:air
item replace entity @s inventory.20 with minecraft:air
item replace entity @s inventory.21 with minecraft:air
item replace entity @s inventory.22 with minecraft:air
item replace entity @s inventory.23 with minecraft:air
item replace entity @s inventory.24 with minecraft:air
item replace entity @s inventory.25 with minecraft:air
item replace entity @s inventory.26 with minecraft:air
item replace entity @s armor.chest with minecraft:air
item replace entity @s armor.feet with minecraft:air
item replace entity @s armor.head with minecraft:air
item replace entity @s armor.legs with minecraft:air
item replace entity @s weapon.offhand with minecraft:air

# If `m_graves:grave_storage` has neither xp nor items or this player is in the void, return 0
execute if data storage m_graves:grave_storage {Xp:0} unless data storage m_graves:grave_storage Items[0] run return 0
execute if predicate m_graves:in_void run return 0

# Place grave
execute summon marker run function m_graves:graves/new_marker
summon interaction ~ ~ ~ {Tags:["multipack.grave_interaction"],width:1.3f,height:1f}
summon block_display ~ ~ ~ {Tags:["multipack.grave_display"],block_state:{Name:"coarse_dirt"},transformation:{translation:[-0.75f,0f,-0.5f],left_rotation:[0f,0f,0f,1f],scale:[1.5f,0.125f,1f],right_rotation:[0f,0f,0f,1f]}}
summon block_display ~ ~ ~ {Tags:["multipack.grave_display"],block_state:{Name:"cobblestone"},transformation:{translation:[-0.577f,0.033f,-0.376f],left_rotation:[0f,0f,0.125f,1f],scale:[0.125f,1f,0.74f],right_rotation:[0f,0f,0f,1f]}}


# Display the dead player's name. If there are multiple dead players instead display "R.I.P"
execute store result score &playersDead multipack.temp run execute if entity @a[scores={multipack.graves=1..}]
execute if score &playersDead multipack.temp matches 1 run summon text_display ~ ~ ~ {Tags:["multipack.grave_display"],transformation:{left_rotation:[0f,0f,0.125f,1f],right_rotation:[0f,1f,0f,1f],translation:[-0.55f,0.6f,0f],scale:[0.5f,0.5f,0.5f]},text:'{"selector":"@p[scores={multipack.graves=1..}]"}',background:0}
execute unless score &playersDead multipack.temp matches 1 run summon text_display ~ ~ ~ {Tags:["multipack.grave_display"],transformation:{left_rotation:[0f,0f,0.125f,1f],right_rotation:[0f,1f,0f,1f],translation:[-0.55f,0.6f,0f],scale:[0.5f,0.5f,0.5f]},text:'{"text":"R.I.P"}',background:0}

scoreboard players reset &playersDead multipack.temp
scoreboard players reset @s multipack.graves
